<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StaticGeometry::GeometryBucket Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#218ef633a2d0c443f4fd650b30f55fe5">assign</a>(QueuedGeometry *qsm)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#043a89755d05ca8ee6e4334376adae2c">build</a>(bool stencilShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#bac912a5e1f232434ef16508c6ed0253">copyIndexes</a>(const T *src, T *dst, size_t count, size_t indexOffset)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#252fa8cf26efd8519da3556051bba8d8">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#b7fd4a0ee04901ef5d4fa1dfab3d08f7">GeometryBucket</a>(MaterialBucket *parent, const String &amp;formatString, const VertexData *vData, const IndexData *iData)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#6c88fc74259edbf600cab80d61c3aae1">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#1c122c0686168dac942700942bd9f8fc">getClipPlanes</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#2adc91a576fd750188ea3a8d558f093f">getIndexData</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#7082c43fd02d40dee89b55b947044d64">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#c2a7c335895373aea87bfb9df75a780d">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#9dda967b054609898953bea98ea502b8">getNormaliseNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#b6ecba3943f56182cddf3b3540afc760">getNumWorldTransforms</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#08c9ddb2a363d7d90878d69c6776faa7">getParent</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#443a670d4074e562338ad668d5c5b0fc">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#d208d0d9fa6cd294bbdafe7b9cf82e4a">getSquaredViewDepth</a>(const Camera *cam) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#cefb31cfffc808d28b6e2e10e821d79a">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#c743cdd75e571ab5cdbdb827593fc600">getVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#5a513516c112c74e38599dad8a19ba6d">getWorldOrientation</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#3a10892b72a6ca81e21247d24d54ccf8">getWorldPosition</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#50414e852eb2a31b74c762ed3e83b281">getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#7e24b668910d95c23cb3059268b97c19">mFormatString</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#910dedbe42c47e7f58d4dba3e0323bb9">mIndexData</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#5be88f404a20fd8dd1a0a847254c4500">mIndexType</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#f9794e31362b5c99a235ef0a277b475d">mMaxVertexIndex</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#f00853755640ffb1c91b1b19d47c7199">mParent</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#144fa0aa5fa30964e9aa940585b18437">mQueuedGeometry</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#fb8c005cd3df11a051304937ad322112">msDummyPlaneList</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#0ab5e4a8cfbdfc6371fc5478ad73ca61">mVertexData</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ed186856b59bf967f3188bfa70546957">Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a>(size_t index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a>(bool useIdentityProjection)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e53cff42a16304f582ef83ad3017d614">setUseIdentityView</a>(bool useIdentityView)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#9b2e1fd7db1b1a60e947d5a62e35ccbf">~GeometryBucket</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">Ogre::StaticGeometry::GeometryBucket</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e5a6101851f1e45229f7b4bc20a69815">~Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:06 2008
</p>
</body>
</html>
